Bug 984283 - Grub2/mkconfig should allow booting via LABEL in addition to UUID
Grub2/mkconfig should allow booting via LABEL in addition to UUID
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-14 09:18 EDT by NickG
Modified: 2015-02-17 11:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:08:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description NickG 2013-07-14 09:18:32 EDT
Description of problem:
Installed Fedora to a USB stick for a training course. Performed updates and did a reboot at which point grub2 was reinstalled and picked up the installed harddisc rather than the USB stick.
This caused boot failures as it changed the set root line to the wrong disc and set all the wrong UUIDs.

I tried to configure the scripts in /etc/grub.d to not do this and to use root=LABEL=FedoraBootable but it's not well supported defined and ended up just hard coding it in /boot/grub2/grub.cfg

Version-Release number of selected component (if applicable):


How reproducible:
Everytime. Have existing Fedora install. Install to thumbstick. Apply updates that affect kernel/grub and reboot - watch as UUIDs and set roots are trashed.

Actual results:
Fails to boot correct kernel from the correct partition and typically crashes

Expected results:
System works as expected and boots to desktop


Additional info:
http://techpatterns.com/forums/about1575.html and https://wiki.archlinux.org/index.php/GRUB provide good resources on setting this correctly and how to use the label but they're no match for defaults that don't trash the boot device.
Comment 1 Mads Kiilerich 2013-08-18 18:53:55 EDT
The modifications done on kernel upgrades is performed by grubby. If the problem here is the behaviour on upgrade then the issue should be filed at grubby.
Comment 2 Fedora End Of Life 2015-01-09 13:54:42 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 11:08:56 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.